> ## Documentation Index
> Fetch the complete documentation index at: https://jiffyscan.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Balances

> Returns a list of tokens balances that the address holds



## OpenAPI

````yaml get /getAddressBalances
openapi: 3.0.3
info:
  title: jiffyscan APIs
  version: '1.0'
  description: Gives a breif overview of all the jiffyscan APIs
  contact:
    email: aditya@jiffyscan.xyz
    name: Aditya
    url: https://jiffyscan.xyz
servers:
  - url: https://api.jiffyscan.xyz/v0
security: []
tags:
  - name: Supported Networks
    description: APIs for fetching supported network information
  - name: User Operations
    description: API's which can be used to fetch user operations done by entities
  - name: Bundler
    description: API's which can be used to fetch bundler related information
  - name: Account
    description: API's which can be used to fetch account related information
  - name: Factory
    description: API's which can be used to fetch factory related information
  - name: Metrics
    description: API's which can be used to fetch over all metrics of the ecosystem
paths:
  /getAddressBalances:
    get:
      tags:
        - Account
      description: Returns a list of tokens balances that the address holds
      parameters:
        - name: address
          in: query
          required: true
          schema:
            type: string
        - name: network
          in: query
          schema:
            type: string
        - name: first
          in: query
          schema:
            type: string
        - name: skip
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                title: TokenBalances
                type: array
                description: An array of tokens balances that the address holds
                items:
                  $ref: '#/components/schemas/TokenBalance'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Invalid API Key
        '502':
          description: Bad Gateway
        default:
          description: Success
      security:
        - BasicAuth: []
components:
  schemas:
    TokenBalance:
      type: object
      description: Token balance of an account
      required:
        - address
        - balance
      properties:
        contract_address:
          type: string
          description: Address of the token
        contract_name:
          type: string
          description: Name of the token
        contract_ticker_symbol:
          type: string
          description: Ticker symbol of the token
        contract_decimals:
          type: number
          description: Number of decimals of the token
        native_token:
          type: string
          description: Native token of the chain
        quote_rate:
          type: string
          description: Quote rate of the token
        pretty_quote:
          type: string
          description: Pretty quote of the token
        balance:
          type: string
          description: Balance of the account
  securitySchemes:
    BasicAuth:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
      x-amazon-apigateway-authorizer:
        type: request
        authorizerUri: >-
          arn:aws:apigateway:us-east-2:lambda:path/2015-03-31/functions/arn:aws:lambda:us-east-2:283541367427:function:test-jiffyscan-BasicAuthFunction-mMOdBhL8g93M/invocations
        authorizerResultTtlInSeconds: 300
        identitySource: method.request.header.x-api-key

````